diff libtomcrypt/testbuild.sh @ 415:8b9aba1d5fa4 channel-fix

merge of '73fe066c5d9e2395354ba74756124d45c978a04d' and 'f5014cc84558f1e8eba42dbecf9f72f94bfe6134'
author Matt Johnston <matt@ucc.asn.au>
date Tue, 06 Feb 2007 16:00:18 +0000
parents 0cbe8f6dbf9e
children 6dba84798cd5
line wrap: on
line diff
--- a/libtomcrypt/testbuild.sh	Tue Feb 06 15:59:54 2007 +0000
+++ b/libtomcrypt/testbuild.sh	Tue Feb 06 16:00:18 2007 +0000
@@ -3,7 +3,7 @@
 make clean 1>/dev/null 2>/dev/null
 echo -n "building..."
 touch testok.txt
-CFLAGS="$2" make -f $3 test tv_gen 1>gcc_1.txt 2>gcc_2.txt || (echo "build $1 failed see gcc_2.txt for more information" && cat gcc_2.txt && rm -f testok.txt && exit 1)
+CFLAGS="$2 $CFLAGS $4" EXTRALIBS="$5" make -f $3 test tv_gen 1>gcc_1.txt 2>gcc_2.txt || (echo "build $1 failed see gcc_2.txt for more information" && cat gcc_2.txt && rm -f testok.txt && exit 1)
 if find testok.txt -type f 1>/dev/null 2>/dev/null ; then
    echo "successful"
    exit 0